Minimum System requirements

Internet Connection

  • For an ideal experience, you will need a connection with a minimum 10Mb/sec download speed
  • It is possible to use the service with a broadband connection as low as 2Mb/sec download speed but you should expect a very low quality experience
  • If your network is behind a firewall or proxy server, you may problems connecting. Please refer your network Administrator to This Page

Flash Player

  • Please ensure your flash player plugin is up to date. Check HERE

Windows

  • 2.33GHz or faster x86-compatible processor, or Intel® Atom™ 1.6GHz or faster processor for netbooks
  • Microsoft® Windows® XP (32 bit), Windows Server® 2003 (32-bit), Windows Server 2008 (32 bit), Windows Vista® (32 bit), Windows 7 (32 bit and 64 bit)
  • Mozilla Firefox 4.0 browser is recommended but will work with; Internet Explorer IE8, Google Chrome*, Safari 5.0 or later, or Opera 11
  • 512MB of RAM (1GB of RAM recommended for netbooks) and 128MB of graphics memory with Hardware 3D (OpenGL) support

Mac OS

  • Intel Core™ Duo 1.83GHz or faster processor
  • Mac OS X v10.6 or v10.7
  • Mozilla Firefox 4.0 or later, Google Chrome*, Safari 5.0 or later, Mozilla Firefox 4.0 or later or Opera 11
  • 256MB of RAM; 128MB of graphics memory

Linux

  • 2.33GHz or faster x86-compatible processor, or Intel Atom 1.6GHz or faster processor for netbooks
  • Red Hat® Enterprise Linux® (RHEL) 5.6 or later (32 bit and 64 bit), openSUSE® 11.3 or later (32 bit and 64 bit), or Ubuntu 10.04 or later (32 bit and 64 bit)
  • Mozilla Firefox 4.0, Google Chrome* or Chromium
  • 512MB of RAM; 128MB of graphics memory with 3D hardware (OpenGL) support
*Note to users of Google Chrome: Some users may experience problems with Flash crashing under Chrome. For an explanation and solution, please visit: http://www.ghacks.net/2012/09/16/fix-the-chrome-shockwave-flash-plugin-problem/